<template>
  <footer
    id="footer"
    class="footer"
  >
    <ClientInfo :clientProps="this.$client" />

    <Menu menuKey="footer" />
  </footer>
</template>

<script lang="ts">
import Vue from 'vue'
import Menu from '@rentsync/client-website-components/dist/components/molecules/menu/default/menu-default.vue'
import ClientInfo from './components/client-info.vue'

export default Vue.extend({
  props: {},
  components: {
    Menu,
    ClientInfo,
  },
  data() {
    return {}
  },
  async created() {},
})
</script>

<style lang="scss">
#footer {
  background-color: #e2e2e2;

  #client {

    div {
      display: inline-block;
      vertical-align: middle;
      width: 25%;

      .client-email {
        width: 100%;
      }
    }
  }

  nav {
    padding: 30px;

    ul {
      display: flex;
      justify-content: center;
      padding: 0;
      margin: 0;
      list-style: none;

      li {
        margin: 0 15px;

        ul {
          display: none;
        }

        .nav-link {
          color: #2c3e50;
        }
      }
    }
  }
}
</style>
